// flow-typed signature: ce1254900563177ba85b6b332add7ce5
// flow-typed version: <<STUB>>/redux-saga-test-plan_v^3.7.0/flow_v0.82.0

/**
 * This is an autogenerated libdef stub for:
 *
 *   'redux-saga-test-plan'
 *
 * Fill this stub out by replacing all the `any` types.
 *
 * Once filled out, we encourage you to share your work with the
 * community by sending a pull request to:
 * https://github.com/flowtype/flow-typed
 */

declare module 'redux-saga-test-plan' {
  declare module.exports: any;
}

/**
 * We include stubs for each file inside this npm package in case you need to
 * require those files directly. Feel free to delete any files that aren't
 * needed.
 */
declare module 'redux-saga-test-plan/decls/index' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/expectSaga/expectations' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/expectSaga/findDispatchableActionIndex' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/expectSaga/index' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/expectSaga/matchers/helpers' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/expectSaga/matchers/index' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/expectSaga/parseEffect' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/expectSaga/providers/helpers' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/expectSaga/providers/index' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/expectSaga/provideValue' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/expectSaga/reportActualEffects' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/expectSaga/sagaIdFactory' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/expectSaga/sagaWrapper' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/index' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/shared/keys' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/shared/SagaTestError' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/shared/serializeEffect' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/testSaga/assertSameEffect' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/testSaga/createErrorMessage' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/testSaga/extractSagaHelperEffectName' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/testSaga/getFunctionName' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/testSaga/historyTypes' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/testSaga/index' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/testSaga/isHelper' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/testSaga/serializeTakePattern' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/testSaga/validateEffects' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/testSaga/validateHelperNamesMatch' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/testSaga/validateTakeHelper' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/testSaga/validateThrottleHelper' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/utils/array' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/utils/ArraySet' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/utils/async' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/utils/deprecate' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/utils/identity' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/utils/logging' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/utils/Map' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/utils/noop' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/lib/utils/object' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/matchers' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/providers' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/expectSaga/expectations' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/expectSaga/findDispatchableActionIndex' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/expectSaga/index' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/expectSaga/matchers/helpers' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/expectSaga/matchers/index' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/expectSaga/parseEffect' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/expectSaga/providers/helpers' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/expectSaga/providers/index' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/expectSaga/provideValue' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/expectSaga/reportActualEffects' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/expectSaga/sagaIdFactory' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/expectSaga/sagaWrapper' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/index' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/shared/keys' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/shared/SagaTestError' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/shared/serializeEffect' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/testSaga/assertSameEffect' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/testSaga/createErrorMessage' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/testSaga/extractSagaHelperEffectName' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/testSaga/getFunctionName' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/testSaga/historyTypes' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/testSaga/index' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/testSaga/isHelper' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/testSaga/serializeTakePattern' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/testSaga/validateEffects' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/testSaga/validateHelperNamesMatch' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/testSaga/validateTakeHelper' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/testSaga/validateThrottleHelper' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/utils/__mocks__/logging' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/utils/array' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/utils/ArraySet' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/utils/async' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/utils/deprecate' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/utils/identity' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/utils/logging' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/utils/Map' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/utils/noop' {
  declare module.exports: any;
}

declare module 'redux-saga-test-plan/src/utils/object' {
  declare module.exports: any;
}

// Filename aliases
declare module 'redux-saga-test-plan/decls/index.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/decls/index'>;
}
declare module 'redux-saga-test-plan/lib/expectSaga/expectations.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/expectSaga/expectations'>;
}
declare module 'redux-saga-test-plan/lib/expectSaga/findDispatchableActionIndex.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/expectSaga/findDispatchableActionIndex'>;
}
declare module 'redux-saga-test-plan/lib/expectSaga/index.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/expectSaga/index'>;
}
declare module 'redux-saga-test-plan/lib/expectSaga/matchers/helpers.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/expectSaga/matchers/helpers'>;
}
declare module 'redux-saga-test-plan/lib/expectSaga/matchers/index.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/expectSaga/matchers/index'>;
}
declare module 'redux-saga-test-plan/lib/expectSaga/parseEffect.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/expectSaga/parseEffect'>;
}
declare module 'redux-saga-test-plan/lib/expectSaga/providers/helpers.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/expectSaga/providers/helpers'>;
}
declare module 'redux-saga-test-plan/lib/expectSaga/providers/index.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/expectSaga/providers/index'>;
}
declare module 'redux-saga-test-plan/lib/expectSaga/provideValue.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/expectSaga/provideValue'>;
}
declare module 'redux-saga-test-plan/lib/expectSaga/reportActualEffects.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/expectSaga/reportActualEffects'>;
}
declare module 'redux-saga-test-plan/lib/expectSaga/sagaIdFactory.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/expectSaga/sagaIdFactory'>;
}
declare module 'redux-saga-test-plan/lib/expectSaga/sagaWrapper.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/expectSaga/sagaWrapper'>;
}
declare module 'redux-saga-test-plan/lib/index.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/index'>;
}
declare module 'redux-saga-test-plan/lib/shared/keys.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/shared/keys'>;
}
declare module 'redux-saga-test-plan/lib/shared/SagaTestError.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/shared/SagaTestError'>;
}
declare module 'redux-saga-test-plan/lib/shared/serializeEffect.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/shared/serializeEffect'>;
}
declare module 'redux-saga-test-plan/lib/testSaga/assertSameEffect.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/testSaga/assertSameEffect'>;
}
declare module 'redux-saga-test-plan/lib/testSaga/createErrorMessage.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/testSaga/createErrorMessage'>;
}
declare module 'redux-saga-test-plan/lib/testSaga/extractSagaHelperEffectName.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/testSaga/extractSagaHelperEffectName'>;
}
declare module 'redux-saga-test-plan/lib/testSaga/getFunctionName.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/testSaga/getFunctionName'>;
}
declare module 'redux-saga-test-plan/lib/testSaga/historyTypes.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/testSaga/historyTypes'>;
}
declare module 'redux-saga-test-plan/lib/testSaga/index.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/testSaga/index'>;
}
declare module 'redux-saga-test-plan/lib/testSaga/isHelper.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/testSaga/isHelper'>;
}
declare module 'redux-saga-test-plan/lib/testSaga/serializeTakePattern.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/testSaga/serializeTakePattern'>;
}
declare module 'redux-saga-test-plan/lib/testSaga/validateEffects.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/testSaga/validateEffects'>;
}
declare module 'redux-saga-test-plan/lib/testSaga/validateHelperNamesMatch.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/testSaga/validateHelperNamesMatch'>;
}
declare module 'redux-saga-test-plan/lib/testSaga/validateTakeHelper.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/testSaga/validateTakeHelper'>;
}
declare module 'redux-saga-test-plan/lib/testSaga/validateThrottleHelper.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/testSaga/validateThrottleHelper'>;
}
declare module 'redux-saga-test-plan/lib/utils/array.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/utils/array'>;
}
declare module 'redux-saga-test-plan/lib/utils/ArraySet.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/utils/ArraySet'>;
}
declare module 'redux-saga-test-plan/lib/utils/async.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/utils/async'>;
}
declare module 'redux-saga-test-plan/lib/utils/deprecate.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/utils/deprecate'>;
}
declare module 'redux-saga-test-plan/lib/utils/identity.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/utils/identity'>;
}
declare module 'redux-saga-test-plan/lib/utils/logging.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/utils/logging'>;
}
declare module 'redux-saga-test-plan/lib/utils/Map.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/utils/Map'>;
}
declare module 'redux-saga-test-plan/lib/utils/noop.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/utils/noop'>;
}
declare module 'redux-saga-test-plan/lib/utils/object.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/lib/utils/object'>;
}
declare module 'redux-saga-test-plan/matchers.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/matchers'>;
}
declare module 'redux-saga-test-plan/providers.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/providers'>;
}
declare module 'redux-saga-test-plan/src/expectSaga/expectations.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/expectSaga/expectations'>;
}
declare module 'redux-saga-test-plan/src/expectSaga/findDispatchableActionIndex.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/expectSaga/findDispatchableActionIndex'>;
}
declare module 'redux-saga-test-plan/src/expectSaga/index.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/expectSaga/index'>;
}
declare module 'redux-saga-test-plan/src/expectSaga/matchers/helpers.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/expectSaga/matchers/helpers'>;
}
declare module 'redux-saga-test-plan/src/expectSaga/matchers/index.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/expectSaga/matchers/index'>;
}
declare module 'redux-saga-test-plan/src/expectSaga/parseEffect.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/expectSaga/parseEffect'>;
}
declare module 'redux-saga-test-plan/src/expectSaga/providers/helpers.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/expectSaga/providers/helpers'>;
}
declare module 'redux-saga-test-plan/src/expectSaga/providers/index.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/expectSaga/providers/index'>;
}
declare module 'redux-saga-test-plan/src/expectSaga/provideValue.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/expectSaga/provideValue'>;
}
declare module 'redux-saga-test-plan/src/expectSaga/reportActualEffects.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/expectSaga/reportActualEffects'>;
}
declare module 'redux-saga-test-plan/src/expectSaga/sagaIdFactory.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/expectSaga/sagaIdFactory'>;
}
declare module 'redux-saga-test-plan/src/expectSaga/sagaWrapper.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/expectSaga/sagaWrapper'>;
}
declare module 'redux-saga-test-plan/src/index.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/index'>;
}
declare module 'redux-saga-test-plan/src/shared/keys.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/shared/keys'>;
}
declare module 'redux-saga-test-plan/src/shared/SagaTestError.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/shared/SagaTestError'>;
}
declare module 'redux-saga-test-plan/src/shared/serializeEffect.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/shared/serializeEffect'>;
}
declare module 'redux-saga-test-plan/src/testSaga/assertSameEffect.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/testSaga/assertSameEffect'>;
}
declare module 'redux-saga-test-plan/src/testSaga/createErrorMessage.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/testSaga/createErrorMessage'>;
}
declare module 'redux-saga-test-plan/src/testSaga/extractSagaHelperEffectName.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/testSaga/extractSagaHelperEffectName'>;
}
declare module 'redux-saga-test-plan/src/testSaga/getFunctionName.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/testSaga/getFunctionName'>;
}
declare module 'redux-saga-test-plan/src/testSaga/historyTypes.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/testSaga/historyTypes'>;
}
declare module 'redux-saga-test-plan/src/testSaga/index.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/testSaga/index'>;
}
declare module 'redux-saga-test-plan/src/testSaga/isHelper.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/testSaga/isHelper'>;
}
declare module 'redux-saga-test-plan/src/testSaga/serializeTakePattern.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/testSaga/serializeTakePattern'>;
}
declare module 'redux-saga-test-plan/src/testSaga/validateEffects.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/testSaga/validateEffects'>;
}
declare module 'redux-saga-test-plan/src/testSaga/validateHelperNamesMatch.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/testSaga/validateHelperNamesMatch'>;
}
declare module 'redux-saga-test-plan/src/testSaga/validateTakeHelper.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/testSaga/validateTakeHelper'>;
}
declare module 'redux-saga-test-plan/src/testSaga/validateThrottleHelper.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/testSaga/validateThrottleHelper'>;
}
declare module 'redux-saga-test-plan/src/utils/__mocks__/logging.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/utils/__mocks__/logging'>;
}
declare module 'redux-saga-test-plan/src/utils/array.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/utils/array'>;
}
declare module 'redux-saga-test-plan/src/utils/ArraySet.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/utils/ArraySet'>;
}
declare module 'redux-saga-test-plan/src/utils/async.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/utils/async'>;
}
declare module 'redux-saga-test-plan/src/utils/deprecate.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/utils/deprecate'>;
}
declare module 'redux-saga-test-plan/src/utils/identity.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/utils/identity'>;
}
declare module 'redux-saga-test-plan/src/utils/logging.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/utils/logging'>;
}
declare module 'redux-saga-test-plan/src/utils/Map.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/utils/Map'>;
}
declare module 'redux-saga-test-plan/src/utils/noop.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/utils/noop'>;
}
declare module 'redux-saga-test-plan/src/utils/object.js' {
  declare module.exports: $Exports<'redux-saga-test-plan/src/utils/object'>;
}
